Ask Your Question
0

5G SM OTA message decodes fail

asked 2019-08-15 03:19:06 +0000

Jouman gravatar image

Hi Sir, While I use Wireshark latest version 3.0.3 to decode my OTA air message under 5G core network, I found the 5G SM message will fail while encountered in a certain IE. While decoding "Integrity protection maximum data rate" IE, the SM's PDU_SESSION_ESTABLISHMENT_REQUEST will fail. This failure will effect the whole 5G MM/SM message can't be decode properly after this IE. This IE is changed into a mandatory IE after 3GPP 2018 December version. So please kindly help to handle and decode this IE. Thank you.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-08-15 04:21:04 +0000

Anders gravatar image

You need to use the development version where the 5G protocol decoding is updated.

edit flag offensive delete link more

Comments

Hi Sir, Which development version you recommend ? When will it become the official version?

Thank you.

Jouman gravatar imageJouman ( 2019-08-15 04:27:36 +0000 )edit

That would probably be the development release 3.1.0 offered on the download page. There is no planned date yet for a new stable release branch, where this is included.

Jaap gravatar imageJaap ( 2019-08-15 06:08:07 +0000 )edit

Hi Sir,

Thank you for the reply. I use v3.1.0, and find "Integrity protection maximum data rate" IE, "PDU session type" IE and "5GSM capability" IE can be decoded properly. But the IEs include "Maximum number of supported packet filters" and the following can't be decoded properly still in SM's PDU_SESSION_ESTABLISHMENT_REQUEST. Could you please kindly review these parts?

Thanks.

Jouman gravatar imageJouman ( 2019-08-15 06:32:34 +0000 )edit

Hi, You should get it from here or build from source to have the latest as this is ongoing development. As Jaap says next release is not planned yet. If something isn't decoded right in that version raise a bug report with a sample trace file to have it fixed.

Anders gravatar imageAnders ( 2019-08-15 07:01:10 +0000 )edit

Hi Sir, I get v3.1.0 development release from here => https://www.wireshark.org/#download From the link you provide, should I get the v3.1.1rc0 147 instead of my upper link? After I use v3.1.0, I found the IEs include "Maximum number of supported packet filters" and the following can't be decoded properly still in SM's PDU_SESSION_ESTABLISHMENT_REQUEST. Do you need me to provide the raw data? Thanks.

Jouman gravatar imageJouman ( 2019-08-15 08:18:09 +0000 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-08-15 03:19:06 +0000

Seen: 73 times

Last updated: Aug 30